org.eclipse.cdt.core.dom.ast.cpp

## Enum ICPPASTLambdaExpression.CaptureDefault

- java.lang.Object
- - java.lang.Enum<ICPPASTLambdaExpression.CaptureDefault>
  - - org.eclipse.cdt.core.dom.ast.cpp.ICPPASTLambdaExpression.CaptureDefault

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ICPPASTLambdaExpression.CaptureDefault>

Enclosing interface:
  ICPPASTLambdaExpression

    public static enum ICPPASTLambdaExpression.CaptureDefault
    extends java.lang.Enum<ICPPASTLambdaExpression.CaptureDefault>

The capture default can be by copy, by reference or unspecified.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BY_COPY`
`BY_REFERENCE`
`UNSPECIFIED`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICPPASTLambdaExpression.CaptureDefault` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ICPPASTLambdaExpression.CaptureDefault[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNSPECIFIED

    public static final ICPPASTLambdaExpression.CaptureDefault UNSPECIFIED

#### BY_COPY

    public static final ICPPASTLambdaExpression.CaptureDefault BY_COPY

#### BY_REFERENCE

    public static final ICPPASTLambdaExpression.CaptureDefault BY_REFERENCE

### Method Detail

#### values

    public static ICPPASTLambdaExpression.CaptureDefault[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ICPPASTLambdaExpression.CaptureDefault c : ICPPASTLambdaExpression.CaptureDefault.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ICPPASTLambdaExpression.CaptureDefault valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null